Loading...
Searching...
No Matches
Opm::ImmiscibleIntensiveQuantities< TypeTag > Class Template Reference

Contains the quantities which are are constant within a finite volume for the immiscible multi-phase model. More...

`#include <immiscibleintensivequantities.hh>`

Inheritance diagram for Opm::ImmiscibleIntensiveQuantities< TypeTag >:

## Public Member Functions

| ImmiscibleIntensiveQuantities (const ImmiscibleIntensiveQuantities &other)=default
ImmiscibleIntensiveQuantities & | operator= (const ImmiscibleIntensiveQuantities &other)=default
void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
const FluidState & | fluidState () const
| Returns the phase state for the control-volume.
const DimMatrix & | intrinsicPermeability () const
| Returns the intrinsic permeability tensor a degree of freedom.
const Evaluation & | relativePermeability (unsigned phaseIdx) const
| Returns the relative permeability of a given phase within the control volume.
const Evaluation & | mobility (unsigned phaseIdx) const
| Returns the effective mobility of a given phase within the control volume.
const Evaluation & | porosity () const
| Returns the average porosity within the control volume.

## Protected Attributes

FluidState | fluidState_
Evaluation | porosity_
DimMatrix | intrinsicPerm_
Evaluation | relativePermeability_ [numPhases]
Evaluation | mobility_ [numPhases]

## Detailed Description

template<class TypeTag>
class Opm::ImmiscibleIntensiveQuantities< TypeTag >

Contains the quantities which are are constant within a finite volume for the immiscible multi-phase model.

## Member Function Documentation

## mobility()

template<class TypeTag>

const Evaluation & Opm::ImmiscibleIntensiveQuantities< TypeTag >::mobility | ( | unsigned | phaseIdx | ) | const

inline

Returns the effective mobility of a given phase within the control volume.

## relativePermeability()

template<class TypeTag>

const Evaluation & Opm::ImmiscibleIntensiveQuantities< TypeTag >::relativePermeability | ( | unsigned | phaseIdx | ) | const

inline

Returns the relative permeability of a given phase within the control volume.

## update()

template<class TypeTag>

void Opm::ImmiscibleIntensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx )

inline

The documentation for this class was generated from the following file:

- opm/models/immiscible/immiscibleintensivequantities.hh